import { Predicate, WithRequiredKeys, IEntity } from "./types";
export declare const isArchetype: <E extends IEntity, P extends keyof E>(entity: E, ...properties: P[]) => entity is WithRequiredKeys<E, P>;
export declare const archetype: <E extends IEntity, P extends keyof E>(...properties: P[]) => Predicate<E, WithRequiredKeys<E, P>>;
